struct ptrace_faultinfo {
	int is_write;
	unsigned long addr;
};

struct ptrace_ldt {
	int func;
  	void *ptr;
	unsigned long bytecount;
};

#define PTRACE_FAULTINFO 52
#define PTRACE_SIGPENDING 53
#define PTRACE_LDT 54
#define PTRACE_SWITCH_MM 55


asmlinkage int skas_sys_ptrace(long request, long pid, long addr, long data);

typedef asmlinkage int (*sys_ptrace_func)(long request, long pid, long addr, long data);
extern sys_ptrace_func chained_sys_ptrace;
